<?xml version="1.0" encoding="UTF-8"?>

<foxml:digitalObject
        VERSION="1.1"
        PID="doms:ContentModel_ReelTape"
        xmlns:foxml="info:fedora/fedora-system:def/foxml#"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation=
                "info:fedora/fedora-system:def/foxml#
                http://www.fedora.info/definitions/1/0/foxml1-1.xsd">


    <foxml:objectProperties>

        <foxml:property
                NAME="info:fedora/fedora-system:def/model#state"
                VALUE="A"/>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#label"
                VALUE="Content Model Reel Tape"/>

    </foxml:objectProperties>
    <!--*******************************************************************************************************************************************
           FEDORA RESERVED DATASTREAM: DUBLIN CORE METADATA FOR OBJECT:
           This datastream is always recognized by Fedora by the reserved datastream identifier of "DC".
           Fedora will automatically index the DC datastream as part of the default repository catalog search,
           and also as part of the new RDF-based Resource Index.
     *********************************************************************************************************************************************-->
    <foxml:datastream ID="DC" STATE="A" CONTROL_GROUP="X" VERSIONABLE="true">
        <foxml:datastreamVersion ID="DC.0" MIMETYPE="text/xml" LABEL="Default Dublin Core Record" SIZE="488" CREATED="2004-12-10T00:21:58.000Z">

            <foxml:xmlContent>
                <oai_dc:dc xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/" xmlns:dc="http://purl.org/dc/elements/1.1/">
                    <dc:title>Content Model Reel Tape</dc:title>
                </oai_dc:dc>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream ID="RELS-EXT" CONTROL_GROUP="X">
        <foxml:datastreamVersion ID="RELS-EXT.0" MIMETYPE="application/rdf+xml" LABEL="Fedora Object-to-Object Relationship Metadata">

            <foxml:xmlContent>
                <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                         xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#">
                    <rdf:Description rdf:about="info:fedora/doms:ContentModel_ReelTape">
                        <doms:extendsModel rdf:resource="info:fedora/doms:ContentModel_DOMS"/>
                        <hasModel rdf:resource="info:fedora/fedora-system:ContentModel-3.0"
                                  xmlns="info:fedora/fedora-system:def/model#"/>
                        <doms:isPartOfCollection rdf:resource="info:fedora/doms:example_Tape_Collection"/>
                    </rdf:Description>
                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream
            CONTROL_GROUP="X"
            ID="DS-COMPOSITE-MODEL"
            STATE="A"
            VERSIONABLE="true">
        <foxml:datastreamVersion ID="DS-COMPOSITE-MODEL.0"
                                 LABEL="DS Composite Model."
                                 MIMETYPE="text/xml">
            <foxml:xmlContent>
                <dsCompositeModel
                        xmlns="info:fedora/fedora-system:def/dsCompositeModel#"
                        xmlns:schema="http://doms.statsbiblioteket.dk/types/dscompositeschema/0/1/#">
                    <dsTypeModel ID="QualifiedDC">
                        <form MIME="text/xml"/>
                        <extensions name="DOMS">
                            <schema:schema type="xsd" datastream="REELTAPE_SCHEMA" object="info:fedora/doms:Schema_QualifiedDublinCore"/>
                        </extensions>
                    </dsTypeModel>
                </dsCompositeModel>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>





    <foxml:datastream CONTROL_GROUP="X" ID="RELS-EXT_SCHEMA" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="RELS-EXT_SCHEMA.0"
                LABEL="Relations schema"
                MIMETYPE="text/xml">
            <foxml:xmlContent>

                <rdf:RDF
                        xmlns:owl="http://www.w3.org/2002/07/owl#"
                        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                        xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"

                        >

                    <owl:Class rdf:ID="doms:ContentModel_ReelTape">
                        <rdfs:subClassOf>
                            <owl:Restriction>
                                <owl:minCardinality rdf:datatype="http://www.w3.org/2001/XMLSchema#nonNegativeInteger">1</owl:minCardinality>
                                <owl:onProperty rdf:resource="http://doms.statsbiblioteket.dk/relations/default/0/1/#containsSide"/>
                            </owl:Restriction>
                        </rdfs:subClassOf>

                        <rdfs:subClassOf>
                            <owl:Restriction>
                                <owl:allValuesFrom rdf:resource="info:fedora/doms:ContentModel_ReelTapeSide"/>
                                <owl:onProperty rdf:resource="http://doms.statsbiblioteket.dk/relations/default/0/1/#containsSide"/>
                            </owl:Restriction>
                        </rdfs:subClassOf>


                        <rdfs:subClassOf>
                            <owl:Restriction>
                                <owl:allValuesFrom rdf:resource="info:fedora/doms:ContentModel_ReelTapeRecording"/>
                                <owl:onProperty rdf:resource="http://doms.statsbiblioteket.dk/relations/default/0/1/#containsRecording"/>
                            </owl:Restriction>
                        </rdfs:subClassOf>


                        <rdfs:subClassOf>
                            <owl:Restriction>
                                <owl:allValuesFrom rdf:resource="info:fedora/doms:ContentModel_ReelTapeDocPicture"/>
                                <owl:onProperty rdf:resource="http://doms.statsbiblioteket.dk/relations/default/0/1/#hasDocPicture"/>
                            </owl:Restriction>
                        </rdfs:subClassOf>
                    </owl:Class>

                    <owl:ObjectProperty rdf:ID="http://doms.statsbiblioteket.dk/relations/default/0/1/#containsSide"/>

                    <owl:ObjectProperty rdf:ID="http://doms.statsbiblioteket.dk/relations/default/0/1/#containsRecording"/>

                    <owl:ObjectProperty rdf:ID="http://doms.statsbiblioteket.dk/relations/default/0/1/#hasDocPicture"/>

                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream CONTROL_GROUP="X" ID="VIEW" STATE="A" VERSIONABLE="true">
        <foxml:datastreamVersion  ID="VIEW.0" LABEL="Generic views" MIMETYPE="text/xml">
            <foxml:xmlContent>
                <view:views  xmlns:view="http://doms.statsbiblioteket.dk/types/views/0/1/#">
                    <view:view name="GUI" mainobject="true">

                        <view:relations>
                            <doms:containsRecording xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#"/>
                            <doms:containsSide xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#"/>
                            <doms:hasDocPicture xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#"/>
                        </view:relations>


                        <view:datastreams>
                            <view:datastream>QualifiedDC</view:datastream>
                        </view:datastreams>

                    </view:view>
                </view:views>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


</foxml:digitalObject>
